jmadem

## Enum Cuf

- java.lang.Object
- - java.lang.Enum<Cuf>
  - - jmadem.Cuf

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Cuf>

       enum Cuf
      extends java.lang.Enum<Cuf>

  Types of Social Welfares available to MADeM agents.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EGALITARIAN`
    `ELITIST`
    `NASH`
    `UTILITARIAN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cuf` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Cuf[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UTILITARIAN

          public static final Cuf UTILITARIAN

    - #### EGALITARIAN

          public static final Cuf EGALITARIAN

    - #### ELITIST

          public static final Cuf ELITIST

    - #### NASH

          public static final Cuf NASH

  - ### Method Detail

    - #### values

          public static Cuf[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Cuf c : Cuf.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Cuf valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null